Loading...
Searching...
No Matches
OpenMesh::Decimater::ModEdgeLengthT< MeshT > Class Template Reference

Use edge length to control decimation. More...

`#include <OpenMesh/Tools/Decimater/ModEdgeLengthT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModEdgeLengthT< MeshT >:
[legend]
Collaboration diagram for OpenMesh::Decimater::ModEdgeLengthT< MeshT >:
[legend]

## Public Types

typedef ModEdgeLengthT< MeshT > | Self
typedef OpenMesh::Decimater::ModHandleT< Self > | Handle
typedef OpenMesh::Decimater::ModBaseT< MeshT > | Base
typedef Base::Mesh | Mesh
typedef Base::CollapseInfo | CollapseInfo
Public Types inherited from OpenMesh::Decimater::ModBaseT< MeshT >
enum | { ILLEGAL_COLLAPSE = -1 , LEGAL_COLLAPSE = 0 }
typedef MeshT | Mesh
typedef CollapseInfoT< MeshT > | CollapseInfo

## Public Member Functions

virtual const std::string & | name () const override
| Set module's name.
| ModEdgeLengthT (MeshT &_mesh, float _edge_length=FLT_MAX, bool _is_binary=true)
| Constructor.
float | edge_length () const
| get edge_length
void | set_edge_length (typename Mesh::Scalar _f)
| set edge_length
float | collapse_priority (const CollapseInfo &_ci) override
| Compute priority: Binary mode: Don't collapse edges longer then edge_length_ Cont.
void | set_error_tolerance_factor (double _factor) override
| set the percentage of edge length
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
virtual | ~ModBaseT ()
| Virtual desctructor.
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual void | initialize ()
| Initialize module-internal stuff.
virtual float | collapse_priority (const CollapseInfoT< MeshT > &)
| Return collapse priority.
virtual void | preprocess_collapse (const CollapseInfoT< MeshT > &)
| Before _from_vh has been collapsed into _to_vh, this method will be called.
virtual void | postprocess_collapse (const CollapseInfoT< MeshT > &)
| After _from_vh has been collapsed into _to_vh, this method will be called.

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
| ModBaseT (MeshT &_mesh, bool _is_binary)
| Default constructor.
MeshT & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< MeshT >
double | error_tolerance_factor_

## Detailed Description

template<class MeshT>
class OpenMesh::Decimater::ModEdgeLengthT< MeshT >

Use edge length to control decimation.

This module computes the edge length.

In binary and continuous mode, the collapse is legal if:

- The length after the collapse is lower than the given tolerance

## Member Function Documentation

## collapse_priority()

template<class MeshT >

float OpenMesh::Decimater::ModEdgeLengthT< MeshT >::collapse_priority | ( | const CollapseInfo & | _ci | ) |

override

Compute priority: Binary mode: Don't collapse edges longer then edge_length_ Cont.

mode: Collapse smallest edge first, but don't collapse edges longer as edge_length_

## name()

template<class MeshT >

virtual const std::string & OpenMesh::Decimater::ModEdgeLengthT< MeshT >::name | ( |  | ) | const

inline override virtual

Set module's name.

Reimplemented from OpenMesh::Decimater::ModBaseT< MeshT >.

## set_error_tolerance_factor()

template<class MeshT >

void OpenMesh::Decimater::ModEdgeLengthT< MeshT >::set_error_tolerance_factor | ( | double | _factor | ) |

override virtual

set the percentage of edge length

Reimplemented from OpenMesh::Decimater::ModBaseT< MeshT >.

The documentation for this class was generated from the following files:

- OpenMesh/Tools/Decimater/ModEdgeLengthT.hh
- OpenMesh/Tools/Decimater/ModEdgeLengthT_impl.hh